[arch-commits] Commit in haskell-singletons/repos (2 files)

Felix Yan felixonmars at archlinux.org
Wed Jun 17 20:42:59 UTC 2020


    Date: Wednesday, June 17, 2020 @ 20:42:59
  Author: felixonmars
Revision: 646677

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-singletons/repos/community-staging-x86_64/
  haskell-singletons/repos/community-staging-x86_64/PKGBUILD
    (from rev 646676, haskell-singletons/trunk/PKGBUILD)

----------+
 PKGBUILD |   42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

Copied: haskell-singletons/repos/community-staging-x86_64/PKGBUILD (from rev 646676, haskell-singletons/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-06-17 20:42:59 UTC (rev 646677)
@@ -0,0 +1,42 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=singletons
+pkgname=haskell-singletons
+pkgver=2.7
+pkgrel=15
+pkgdesc="A framework for generating singleton types"
+url="https://github.com/goldfirere/singletons"
+license=('BSD')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-th-desugar' 'haskell-syb')
+makedepends=('ghc' 'haskell-tasty' 'haskell-tasty-golden' 'haskell-turtle')
+source=(https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz)
+sha512sums=('6adaae61f7292dc11d53689981381e4116838d3bdbb16673f39bd4040b5a683ca9c44e7027c20d814714066e35b274b5a46c1f3dd1b333a24305aa5b4695a524')
+
+build() {
+    cd $_hkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+    runhaskell Setup build $MAKEFLAGS
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd $_hkgname-$pkgver
+    
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+    rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}



More information about the arch-commits mailing list